## org.codehaus.groovy.control.messages
Class ExceptionMessage

A class for error messages produced by the parser system.

author:
  Chris Poirier

version:
  $Id: ExceptionMessage.java 6778 2007-07-02 10:40:33Z glaforge $

Field Summary
`Exception` | `cause`
`ProcessingUnit` | `owner`
`boolean` | `verbose`

Constructor Summary
`ExceptionMessage(Exception cause, boolean v, ProcessingUnit owner)`

Method Summary
`Exception` | `getCause()` Returns the underlying Exception.
`void` | `write(PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the exception.

Constructor Detail

### ExceptionMessage

    public ExceptionMessage(Exception cause, boolean v, ProcessingUnit owner)

Method Detail

### getCause

    public Exception getCause()

  Returns the underlying Exception.

### write

    public void write(PrintWriter output, Janitor janitor)

  Writes out a nicely formatted summary of the exception.